DUNE-OCAML(1)

NAME

dune-ocaml - Command group related to OCaml.

SYNOPSIS

dune ocaml COMMAND …

COMMANDS

doc [OPTION]…
    Build and view the documentation of an OCaml project

dump-dot-merlin [OPTION]… [PATH]
    Print Merlin configuration

merlin COMMAND …
    Command group related to merlin

ocaml-merlin [OPTION]…
    Start a merlin configuration server.

top [OPTION]… [DIR]
    Print a list of toplevel directives for including directories and loading cma files.

top-module [OPTION]… MODULE
    Print a list of toplevel directives for loading a module into the topevel.

utop [OPTION]… [DIR] [ARGS]…
    Load library in utop.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

dune ocaml exits with:

0   on success.

1   if an error happened.

130 if it was interrupted by a signal.

SEE ALSO

dune(1)